org.apache.storm.kafka.spout

## Class KafkaSpoutTopologyMainNamedTopics

- java.lang.Object
- - org.apache.storm.kafka.spout.KafkaSpoutTopologyMainNamedTopics

- Direct Known Subclasses:
    KafkaSpoutTopologyMainWildcardTopics

      public class KafkaSpoutTopologyMainNamedTopics
      extends Object

  This example sets up 3 topologies to put data in Kafka via the KafkaBolt, and shows how to set up a topology that reads from some Kafka topics using the KafkaSpout.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TOPIC_0`
    `static String` | `TOPIC_1`
    `static String` | `TOPIC_2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSpoutTopologyMainNamedTopics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Config` | `getConfig()`
    `protected KafkaSpoutConfig<String,String>` | `getKafkaSpoutConfig(String bootstrapServers)`
    `protected KafkaSpoutRetryService` | `getRetryService()`
    `protected StormTopology` | `getTopologyKafkaSpout(KafkaSpoutConfig<String,String> spoutConfig)`
    `static void` | `main(String[] args)`
    `protected void` | `runMain(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOPIC_0

          public static final String TOPIC_0

      See Also:
        Constant Field Values

    - #### TOPIC_1

          public static final String TOPIC_1

      See Also:
        Constant Field Values

    - #### TOPIC_2

          public static final String TOPIC_2

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KafkaSpoutTopologyMainNamedTopics

          public KafkaSpoutTopologyMainNamedTopics()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### runMain

          protected void runMain(String[] args)
                          throws Exception

      Throws:
        `Exception`

    - #### getConfig

          protected Config getConfig()

    - #### getTopologyKafkaSpout

          protected StormTopology getTopologyKafkaSpout(KafkaSpoutConfig<String,String> spoutConfig)

    - #### getKafkaSpoutConfig

          protected KafkaSpoutConfig<String,String> getKafkaSpoutConfig(String bootstrapServers)

    - #### getRetryService

          protected KafkaSpoutRetryService getRetryService()

Copyright © 2021 The Apache Software Foundation. All rights reserved.